- Home
- API Enriched
- Shape
- shape
- GET bot detection rules which are in draft state.
GET bot detection rules which are in draft state.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/custom/namespaces/example/bot_detection_rules/draft';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/custom/namespaces/example/bot_detection_rules/draft \ --header 'Authorization: <Authorization>'Getbotdetectionrulesdraft CustomAPI.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace x-required Namespace is used to scope the query.
Responses
Section titled “Responses”A successful response.
Response for GET bot detection rules draft.
object
Comments
Config change per bot detection rule.
Bot Detection Rule Config Change.
object
Environments to which new rule configuration has to be deployed onto.
object
Mitigation - true(ON) / false(OFF)
Rule or policy definition
Bot detection rule configuration per bot infrastructure.
object
object
Mitigation - true(ON) / false(OFF)
Bot Infrastructure ID as per SAPI’s database.
Name of the bot infrastructure as per SAPI’s database.
object
Required: YES.
object
Rule or policy definition
Bot detection rule configuration per bot infrastructure.
object
object
Mitigation - true(ON) / false(OFF)
Bot Infrastructure ID as per SAPI’s database.
Name of the bot infrastructure as per SAPI’s database.
object
Required: YES.
object
Last Modified At as per SAPI’s database.
object
Comments are required when the reason type is selected as ‘Other’
List of reasons why the rule configuration is changed.
Unique identifier for a bot detection rule as per SAPI’s database.
Human-readable name for the resource
Example
{ "config_change_per_bot_detection_rule": [ { "deploy_to": [ "PRODUCTION" ], "desired_rule_config_per_bot_infra": [ { "bot_infrastructure_type": "BOT_INFRA_TYPE_UNKNOWN", "environment_type": "PRODUCTION" } ], "existing_rule_config_per_bot_infra": [ { "bot_infrastructure_type": "BOT_INFRA_TYPE_UNKNOWN", "environment_type": "PRODUCTION" } ], "reason": { "reasons": [ "BOT_DETECTION_RULE_CHANGE_REASON_UNKNOWN" ] }, "traffic_type": "WEB" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example